Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Class TestNGXWorkTestCase

    java.lang.Object
      com.opensymphony.xwork2.TestNGXWorkTestCase

Direct Known Subclasses:
  TestNGStrutsTestCase

    public class TestNGXWorkTestCase

extends Object

Base test class for TestNG unit tests. Provides common XWork variables and performs XWork setup and teardown processes

Field Summary
`protected ActionProxyFactory` | `actionProxyFactory`
`protected Configuration` | `configuration`
`protected ConfigurationManager` | `configurationManager`
`protected Container` | `container`

Constructor Summary
`TestNGXWorkTestCase()`

Method Summary
`protected void` | `loadConfigurationProviders(ConfigurationProvider... providers)`
`protected void` | `setUp()`
`protected void` | `tearDown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configurationManager

    protected ConfigurationManager configurationManager

### configuration

    protected Configuration configuration

### container

    protected Container container

### actionProxyFactory

    protected ActionProxyFactory actionProxyFactory

Constructor Detail

### TestNGXWorkTestCase

    public TestNGXWorkTestCase()

Method Detail

### setUp

    protected void setUp()
                  throws Exception

  Throws:
    `Exception`

### tearDown

    protected void tearDown()
                     throws Exception

  Throws:
    `Exception`

### loadConfigurationProviders

    protected void loadConfigurationProviders(ConfigurationProvider... providers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.